Get Hourly Report Presets
Retrieve hourly report presets for a given contract and work statement.
Token scopes: timesheets:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
ID of the Deel contract
Query parameters
work_statement_id
ID of the work statement (optional)
order_by
Field to order results by (title or created_at)
order_direction
Direction of ordering (ASC or DESC)
cursor
Pagination cursor for fetching next set of results
limit
Number of results to return per page
Response
Successful operation.
data
page
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error